Subject: Re: Proposed new kernel noncaching memory allocator for the 405gp

From: Dan Malek <[email-masked]>
Date: Thu, 22 Mar 2001 13:27:40 -0500

Ralph Blach wrote:

> Using these in the OHCI driver would greatly simply the driver because the
> TD would not be cached.

I'm not sure that is for us to decide.  I don't really want to
know that much detail about USB, and the experts that ported these
drivers to processors without cache coherent DMA requested the
functions as you see them now.  If they decide they want something
different, we'll provide those.  The IBM4xx is a late-comer to
the issues of ensuring cache coherency, and all we are doing is
adopting existing functions that standard Linux software has been
using on other platforms.

> Where are these functions that you say you have implemented?

arch/ppc/8xx_io/commproc.c allocates one (or more) pages of memory
during early initialization, marks them uncached, and will allocate
a few bytes for some drivers.  I think only the uart driver uses
this right now for allocating its DMA FIFOs.

	-- Dan

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/